[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomComboBoxEx.Clear

Clears the contents in the ItemsEx collection.

## Declaration

Source position: comboex.pas line 171

`public procedure TCustomComboBoxEx.Clear; override;`

## Description

Clear is an overridden method used to clear the contents in the ItemsEx collection. Clear overrides the behavior from the ancestor class by accessing the Clear method in the ItemsEx property, instead of the Items property.

## See also

TCustomComboBoxEx.ItemsEx |  | Collection with the extended items defined for the control.
TListControlItems.Items |  | Provides indexed access to the list of items maintained in the collection.
TCollection.Clear